package riskuhujava;

import java.util.Random;
// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.EBB69F6E-8E2F-D0A6-9059-D8F3473D2306]
// </editor-fold> 
public class Dado {
    private int valorcara;

    /**
     *  variable que almacena el valor que 
     *        se obtiene al tirar un dado
     *        constructor de Dado
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.09BA5798-BC36-3B29-09F3-E2D385807A0D]
    // </editor-fold> 
    public Dado () {
        valorcara=0;
    }
    
    //función que genera un número aleatorio entre 1 y 6
    public int aleatorio(){
        int num;
        Random r=new Random();
        num=r.nextInt(6)+1;    //Genera un número aleatorio entre 1 y 6            
        return num;
    }
    
    //función que tira un dado y almacena el resultado en valorcara
    public void tirarDado(){
        this.valorcara=this.aleatorio();
    }
    
    public int getvalorCara(){
        return valorcara;
    }

}

